Summary: Data base file of manuals pages for namazu and management of them
Name: namazu_MANdb
Version: 1.1
%global script_rel 2m
%global index_C_rel 2m
%global index_ja_rel 2m
Release: %{script_rel}
License: GPL
Group: Applications/Text
Source0: mknmz_MANdb.in
Source1: gcnmz_MANdb.cron
BuildPreReq: namazu >= 2.0.10-6k, man-pages-ja >= 0.5-2k, man-pages
BuildPreReq: XFree86, XFree86-tools
BuildPreReq: sh-utils, sed, fileutils
Requires: namazu >= 2.0.10-6k
Requires: sh-utils, sed, fileutils
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%package C
Summary: Data base file of manuals pages for namazu and management of them
Group: Applications/Text
Requires: namazu >= 2
Release: %{index_C_rel}
License: see "README"

%package ja
Summary: Data base file of manuals pages for namazu and management of them
Group: Applications/Text
Requires: namazu >= 2
Release: %{index_ja_rel}
Obsoletes: namazu_JMANdb
Provides: namazu_JMANdb
License: see "README"

%description
Data base files of manuals pages for namazu and management of them. This
packages provides cron scripts to update the indices of man pages. The
indices themselves are provided in separate packages: namazu_MANdb-C and
namazu_MANdb-ja.

%description C
Data base files of manuals pages written in English for namazu. Install
namazu_MANdb to update the index at your site.

%description ja
Data base files of manuals pages written in Japanese for namazu. Install
namazu_MANdb to update the index at your site.

%prep
rm -rf %{name}-%{version}
mkdir -p %{name}-%{version}

%build
cd %{name}-%{version}
cp %{SOURCE0} .

chmod +x mknmz_MANdb.in
sed 's/\$RPM_[A-Z]*//g' mknmz_MANdb.in > mknmz_MANdb.cron

# README for man-pages
mkdir ../C
(echo This package contains Namazu index created from man pages contained in
echo `rpm -q man-pages`.  Follow the license agreement for the man-pages
echo package to distribute this package.) > ../C/README

# README for man-pages-ja
mkdir ../ja
(echo This package contains Namazu index created from man pages contained in
echo `rpm -q man-pages-ja`.  Follow the license agreement for the
echo man-pages-ja package to distribute this package.) > ../ja/README

%install
cd %{name}-%{version}
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/namazu/index
RPM_PREFIX=%{buildroot} RPM_AREALIMIT=ja ./mknmz_MANdb.in
mkdir -p %{buildroot}%{_sysconfdir}/cron.daily
install -c -m 0755 mknmz_MANdb.cron %{buildroot}%{_sysconfdir}/cron.daily/
mkdir -p %{buildroot}%{_sysconfdir}/cron.weekly
install -c -m 0755 %{SOURCE1} %{buildroot}%{_sysconfdir}/cron.weekly/

%postun
cat << _MSGEND
Please remove indices manually IF you no longer need them:
  %{_datadir}/namazu/index/MAN is under namazu_MANdb-C,
  %{_datadir}/namazu/index/MAN.ja is under namazu_MANdb-ja,
  other %{_datadir}/namazu/index/MAN.* are created by the cron script
_MSGEND

%post C
echo -n Cleaning up .rpmnew files...
for file in %{_datadir}/namazu/index/MAN/*.rpmnew; do
  if [ -f $file ]; then rm -f $file; fi
done
echo done

%post ja
echo -n Cleaning up .rpmnew files...
for file in %{_datadir}/namazu/index/MAN.ja/*.rpmnew; do
  if [ -f $file ]; then rm -f $file; fi
done
echo done

%postun C
if [ "$1" = 0 ]; then
  echo -n Renaming .rpmsave files...
  if [ -d %{_datadir}/namazu/index/MAN ]; then
    for src in `find %{_datadir}/namazu/index/MAN -name '*.rpmsave'`; do
      dst=`echo $src | sed s/\.rpmsave$//`
      mv $src $dst
    done
  fi
  echo done.
  echo Remove the indices manually if you no longer need them.
fi

%postun ja
if [ "$1" = 0 ]; then
  echo -n Renaming .rpmsave files...
  if [ -d %{_datadir}/namazu/index/MAN.ja ]; then
    for src in `find %{_datadir}/namazu/index/MAN.ja -name '*.rpmsave'`; do
      dst=`echo $src | sed s/\.rpmsave$//`
      mv $src $dst
    done
  fi
  echo done.
  echo Remove the indices manually if you no longer need them.
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_sysconfdir}/cron.daily/mknmz_MANdb.cron
%{_sysconfdir}/cron.weekly/gcnmz_MANdb.cron

%files C
%defattr(-,root,root)
%doc C/README
%dir %{_datadir}/namazu/index/MAN
%config(noreplace,missingok) %{_datadir}/namazu/index/MAN/*

%files ja
%defattr(-,root,root)
%doc ja/README
%dir %{_datadir}/namazu/index/MAN.ja
%config(noreplace,missingok) %{_datadir}/namazu/index/MAN.ja/*

%changelog
* Thu Mar 25 2004 Toru Hoshina <t@momonga-linux.org>
- (1.1-2m, C:1.1-2m, ja:1.1-2m)
- revised spec for rpm 4.2.

* Wed Nov 12 2003 zunda <zunda at freeshell.org>
- (1.1-1m, C:1.1-1m, ja:1.1-1m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Wed Mar  5 2003 zunda <zunda at freeshell.org>
- (kossori)
- mknmz_MANdb.in: removed /usr/lib/perl5/man from indexing directories
  [Momonga-devel.ja:01445] Thanks to Kanji Naito <rxc13337 at nifty.ne.jp>

* Fri Apr 24 2002 zunda <zunda@kondara.org>
- (1.1-2k, C:1.1-2k, ja:1.1-2k)
- only make indices of manpages in C and ja
- script in cron.daily renamed from namazu_MANdb.cron to mknmz_MANdb.cron

* Fri Apr 24 2002 zunda <zunda@kondara.org>
- (1.0-6k)
- erased -checkpoint option (which sometimes makes SEGV?) from mknmz 

* Fri Mar  8 2002 zunda <zunda@kondara.org>
- (1.0-4k, C:1.0-4k, ja:1.0-4k)
- Obsoletes/Provides: namazu_JMANdb moved to -ja subpackage
- more verbose messages when installing/uninstalling packages

* Tue Mar  7 2002 zunda <zunda@kondara.org>
- (1.0-2k, C:1.0-2k, ja:1.0-2k)
- separate release numbers for indices: -C and -ja

* Tue Mar  5 2002 zunda <zunda@kondara.org>
- (0.020020226-14k)
- added -checkpoint option to mknmz
- added /bin/nice to mknmz
- separate packages for indices: -C and -ja

* Mon Mar  4 2002 zunda <zunda@kondara.org>
- (0.020020226-12k)
- echos short message what we are doing on %post and %postun phases
- small touch-up on namaz_MANdb.in
- requires namazu >= 2.0.10-6k to prooperly handle compressed man pages
  with media type specified

* Sun Mar  3 2002 Kazuhiko <kazuhiko@kondara.org>
- (0.020020226-10k)
- Provides: namazu_JMANdb
- explicitly specify media type 'text/x-roff' in the mknmz script

* Fri Mar  1 2002 zunda <zunda@kondara.org>
- (0.020020226-8k)
- %post and %postun added to preserve user modified files when
  updating/uninstalling the package
- NMZ.slog to be removed by namazu_MANdb.in/cron

* Fri Mar  1 2002 Kazuhiko <kazuhiko@kondara.org>
- (0.020020226-6k)
- misc update

* Wed Feb 27 2002 zunda <zunda@kondara.org>
- (0.020020226-4k)
- include country codes in locales

* Wed Feb 27 2002 Kazuhiko <kazuhiko@kondara.org>
- (0.020020226-2k)
- add X11R6 manpages etc.
- add weekly gcnmz script

* Tue Feb 26 2002 zunda <zunda@kondara.org>
- (0.020020226-0k)
- copied from namazu_JMANdb

* Wed Jan 09 2002 TABUCHI Takaaki <tab@kondara.org>
- (0.020011215-2k)
- update man-pages-ja

* Thu Dec  6 2001 Kazuhiko <kazuhiko@kondara.org>
- (0.020010815-2k)
- update man-pages-ja

* Sun Jun  3 2001 Hidetomo Machi <mcHT@kondara.org>
- (0.020010525-2k)
- import from Vine
- modify spec a lots

* Wed Apr 18 2001 sagami@vinelinux.org
- 05x04-20010415vl1
- changed to be src.rpm from nosrc.rpm actually without any source
- mknmz -auH
- note: silent BuildPreReq: XFree86, XFree86-{3DLabs,8514,AGX,I128,Mach32,Mach64,Mach8,Mono,P9000,S3,S3V,SVGA,VGA16,W32,XF86Setup,Xnest,Xvfb,devel,xfs} 

* Fri Sep  8 2000 Jun Nishii <jun@vinelinux.org>
- 05x04-20000815vl1
- build for jman_pages-0.5-20000815vl1 by namazu2

* Wed Jun 28 2000 Jun Nishii <jun@vinelinux.org>
- build for jman_pages-0.5-20000415.1 by namazu2

* Tue Mar 14 2000 Jun Nishii <jun@vinelinux.org>
- rebuild with /usr/X11R6/man/ja/

* Mon Dec 20 1999 Yasuhide OOMORI <baoying@flatout.org>
- build for jman_pages-0.5-19991215.1

* Fri Nov 12 1999 Jun Nishii <jun@flatout.org>
- build for jman_pages-0.5 and xjman in XFree86

* Tue Sep 28 1999 Jun Nishii <jun@flatout.org>
- added %defattr

* Sat Aug 21 1999 Jun Nishii <jun@flatout.org>
- build for jman_pages-0.4x0.3.1

* Fri Apr 23 1999 Jun Nishii <jun@flatout.org>
- use mknmz -rRH instead of -rKRH

* Fri Mar 5 1999 Jun Nishii <jun@flatout.org>
- rebuild to adapt updated jman_pages

* Wed Feb 3 1999 Jun Nishii <jun@flatout.org>
- modify requires; using jman_pages >= version insteadof "="
  to avoid update problem

* Fri Jan 15 1999 Jun Nishii <jun@flatout.org>
- include phrase search db
- nosrc

* Sat Jan 2 1999 Jun Nishii <jun@flatout.org>
- build for jman-0.4 and xjman-0.2

